TransactionException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction

## Class TransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.transaction.TransactionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CannotCreateTransactionException, HeuristicCompletionException, TransactionSystemException, TransactionTimedOutException, TransactionUsageException, UnexpectedRollbackException

      public abstract class TransactionException
      extends NestedRuntimeException

  Superclass for all transaction exceptions.
  Since:
    17.03.2003
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionException(String msg)` Constructor for TransactionException.
    `TransactionException(String msg, Throwable cause)` Constructor for TransactionException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionException

          public TransactionException(String msg)

      Constructor for TransactionException.
      Parameters:
        `msg` - the detail message

    - #### TransactionException

          public TransactionException(String msg,
                              Throwable cause)

      Constructor for TransactionException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the transaction API in use